import logo from '../logo.png';
import React, { useState, useEffect } from 'react';
import './style.css';

export const CustomNav = ({ className = '' }) => {
  const [isScrolled, setIsScrolled] = useState(false);

  useEffect(() => {
    const handleScroll = () => {
      const scrollTop = window.scrollY;
      const threshold = 120;

      setIsScrolled(scrollTop >= threshold);
    };

    window.removeEventListener('scroll', handleScroll);
    window.addEventListener('scroll', handleScroll, { passive: true });

    return () => {
      window.removeEventListener('scroll', handleScroll);
    };
  }, []);

  return (
    <div className={`sidebar-b ${className} ${isScrolled ? 'scrolled' : ''}`}>
      <div className='group'>
        <div className='text-wrapper'>Clik2pay</div>
        <img className='image' src={logo}  alt={''}/>
      </div>
      <div className='content'>
        <div className='tagline'>
          <p className='div m-0'>
            Telepay will meet your organization’s over-the-phone payment needs today and into the future.
          </p>
        </div>
      </div>
    </div>
  );
};
